#==================================================================================

function LINK() {

#==================================================================================

        if [ ! -e "$2" ]
        then
            ln -s $1 $2
        fi
}


#==================================================================================

function FILE() {

#==================================================================================
#
#  create file if not existing
#
#==================================================================================

    if [ ! -f $1 ]
    then
        MESSAGE "FILE_CREATE" $@
        touch $1
    fi

}
#==================================================================================

function FILE_CLEAR() {

#==================================================================================
    if [ -f $1 ]
    then
        #MESSAGE "FILE_CLEAR" $@
        echo > "$1"
    fi
}
#==================================================================================

function FILE_ADD() {

#==================================================================================

    if [ "$2" == "-i" ]
    then

        cat >> "$1"

    elif [ -d "$1" ]
    then

        RSYNC_LOCAL_MIRROR "$1" "$2"

    elif [ -f "$1" ]
    then
        #MESSAGE "FILE_ADD $1 $2"
        cp "$1" "$2"

    else

        echo
        #MESSAGE "FILE_ADD :no option for $@"

    fi

}

#==================================================================================

function DIR() {

#==================================================================================
#
#  make an environment variable and export it
#  create directory if not existing
#
#==================================================================================



    if [ ! -d $1 ]
    then
        #MESSAGE "DIR_CREATE" $@
        mkdir -p $1

    fi

}
#==============================================================

function DIR_RESET() {

#==============================================================

        MESSAGE "DIR_RESET" $@

    if [ -d "$1" ]
    then
        rm -R $1
    fi

    DIR "$1"


}


#==============================================================
